package test;

import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;

import javax.ejb.EJB;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class TimerInitServlet extends HttpServlet {

	private static final Logger LOG = Logger.getLogger(TimerInitServlet.class.getName());

	private static final long serialVersionUID = -1442659627376802141L;

	@EJB
	private MyTimer myTimer;
	
   @Override
   public void init(ServletConfig servletConfig) throws ServletException {
		myTimer.initTimers();
   }


	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		myTimer.initTimers();
	}

	@Override
	protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		myTimer.initTimers();
	}
}
